Social Fetch
LinkedIn

Get LinkedIn profile

Looks up a LinkedIn public profile by URL. Availability is indicated in `data.lookupStatus` as `found` or `not_found`.

Operation

GET/v1/linkedin/profiles

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

urlstringrequired(query)

LinkedIn public profile URL for this lookup.

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the profile was found or not found for this URL.

one of: found, not_found

dataprofile
objectrequirednullable

Profile details when available.

dataprofileplatform
stringrequired

Social platform for this profile.

one of: linkedin

dataprofilehandle
stringrequired

LinkedIn public profile handle without the leading @.

dataprofiledisplayName
stringrequirednullable

Public display name on the profile when available.

dataprofilebio
stringrequirednullable

Profile summary or about text when available.

dataprofileavatarUrl
stringrequirednullable

Best available square avatar image URL when available.

dataprofileprofileUrl
stringrequired

Canonical public LinkedIn profile URL for this handle.

min 1 chars

dataprofilelocation
stringrequirednullable

Location label when available.

datametrics
objectrequirednullable

Profile metrics when available.

datametricsfollowers
integerrequired

Follower count when available.

≥ 0

datarecentPosts
arrayrequired

Recent public activities from the profile when available.

datarecentPosts[]id
stringrequired

Stable activity id for this post when available.

min 1 chars

datarecentPosts[]url
stringrequired

Public URL for this activity or post.

min 1 chars

datarecentPosts[]title
stringrequirednullable

Primary text or headline for the activity.

datarecentPosts[]activityType
stringrequirednullable

Activity label when available (for example Post or Repost).

datarecentPosts[]publishedAt
stringrequirednullable

Publication timestamp in ISO-8601 format when provided by the source.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Lookup result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page